Groovy Documentation

## org.codehaus.groovy.util
[Java] Class ReferenceBundle

    java.lang.Object
      org.codehaus.groovy.util.ReferenceBundle

    public class ReferenceBundle
    extends java.lang.Object

Constructor Summary
`ReferenceBundle(ReferenceManager manager, ReferenceType type)`

Method Summary
`ReferenceManager` | `getManager()`
`static ReferenceBundle` | `getSoftBundle()`
`ReferenceType` | `getType()`
`static ReferenceBundle` | `getWeakBundle()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ReferenceBundle

    public ReferenceBundle(ReferenceManager manager, ReferenceType type)

Method Detail

### getManager

    public ReferenceManager getManager()

### getSoftBundle

    public static ReferenceBundle getSoftBundle()

### getType

    public ReferenceType getType()

### getWeakBundle

    public static ReferenceBundle getWeakBundle()

Groovy Documentation